version: "3.9"
services:

  rabbitmq:
    image: rabbitmq:3-management
    ports:
      - "5672:5672"
      - "15672:15672"

  postgres:
    image: postgres
    environment:
      POSTGRES_USER: "postgres"
      POSTGRES_PASSWORD: "test1234"
      POSTGRES_DB: "servicediscovery"

  gateway:
    image: registry.gitlab.com/caninedevelopment/caninedotnet.foundation/services/opensource/caninedotnet.gateway
    ports:
      - "31000:80"
    environment:
      rabbitmq_username: "guest"
      rabbitmq_password: "guest"
      rabbitmq_host: "rabbitmq"
      rabbitmq_port: "5672"
      ASPNETCORE_ENVIRONMENT: "Development"
      gateway_cors: "https://localhost:44302,https://localhost:8100,http://localhost:8100,https://localhost:8200"

  servicediscovery:
    image: registry.gitlab.com/caninedevelopment/caninedotnet.foundation/services/opensource/caninedotnet.servicediscovery
    environment:
      sqlserver_password: "test1234"
      sqlserver_user: "postgres"
      sqlserver_databasename: "servicediscovery"
      sqlserver_port: "5432"
      sqlserver_name: "postgres"
      rabbitmq_username: "guest"
      rabbitmq_password: "guest"
      rabbitmq_host: "rabbitmq"
      rabbitmq_port: "5672"

  zip2city:
    image: registry.gitlab.com/caninedevelopment/caninedotnet.foundation/services/opensource/caninedotnet.zip2city
    environment:
      zip2city_sqlserver_password: "test1234"
      zip2city_sqlserver_user: "postgres"
      zip2city_sqlserver_databasename: "servicediscovery"
      zip2city_sqlserver_port: "5432"
      zip2city_sqlserver_name: "postgres"
      rabbitmq_username: "guest"
      rabbitmq_password: "guest"
      rabbitmq_host: "rabbitmq"
      rabbitmq_port: "5672"

  monopay: 
    image: registry.gitlab.com/caninedevelopment/customers/idekompagniet/service.monopay
    environment:
      mongo_host: "monopay.jdfhq.mongodb.net"
      mongo_user: "monopay"
      mongo_password: "Mono21Pay"
      mongo_port: "27017"
      mongo_dbName: "monopaydb"
      rabbitmq_username: "guest"
      rabbitmq_password: "guest"
      rabbitmq_host: "rabbitmq"
      rabbitmq_port: "5672"
      smtp_password: "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"
      smtp_port: "465"
      smtp_server: "smtp.sendgrid.net"
      smtp_username: "apikey"
      paylike_id: "5ebe6045f1b31f0f53bd32dd"
      paylike_app_id: "6e22618b-515a-400f-98ce-97e48f926d34"
